# Gatsby Starter App for Material UI


## How to use

Download the example [or clone the repo](https://github.com/mui-org/material-ui):

```sh
curl https://codeload.github.com/mui-org/material-ui/tar.gz/next | tar -xz --strip=2  material-ui-next/examples/gatsby
cd gatsby
```

Install it and run:

```sh
npm install
npm run develop
```

or:

[![Edit on CodeSandbox](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/github/mui-org/material-ui/tree/master/examples/gatsby)

## The idea behind the example

The project uses [Gatsby](https://github.com/gatsbyjs/gatsby), which is a static site generator for React. It includes `@material-ui/core` and its peer dependencies, including `emotion`, the default style engine in Material-UI v5. If you prefer, you can [use styled-components instead](https://next.material-ui.com/guides/interoperability/#styled-components).

## gatsby-theme-material-ui

Looking for an example with less boilerplate but also less freedom?
Check [`/examples/gatsby-theme`](https://github.com/mui-org/material-ui/tree/next/examples/gatsby-theme) out.
